﻿<ResourceDictionary x:Class="OrslavTeam.WPFStyle.Style.WindowsStyle"
                    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                    xmlns:controls="clr-namespace:OrslavTeam.WPFStyle.Style.Controls">
    <ResourceDictionary.MergedDictionaries>
        <ResourceDictionary 
            Source="pack://application:,,,/OrslavTeam.WPFStyle.Style;component/StyleResources/Colors.xaml"/>
        <ResourceDictionary 
            Source="pack://application:,,,/OrslavTeam.WPFStyle.Style;component/StyleResources/Fields.xaml"/>
        <ResourceDictionary
            Source="pack://application:,,,/OrslavTeam.WPFStyle.Style;component/StyleResources/Toggle.xaml"/>
        <ResourceDictionary 
            Source="pack://application:,,,/OrslavTeam.WPFStyle.Style;component/StyleResources/Button.xaml"/>
        <ResourceDictionary 
            Source="pack://application:,,,/OrslavTeam.WPFStyle.Style;component/StyleResources/GroupBox.xaml"/>
        <ResourceDictionary 
            Source="pack://application:,,,/OrslavTeam.WPFStyle.Style;component/Controls/FlippGroupPanel.xaml"/>
        <ResourceDictionary 
            Source="pack://application:,,,/OrslavTeam.WPFStyle.Style;component/StyleResources/ComboBox.xaml"/>
        <ResourceDictionary 
            Source="pack://application:,,,/OrslavTeam.WPFStyle.Style;component/StyleResources/Typography.xaml"/>
        <ResourceDictionary 
            Source="pack://application:,,,/OrslavTeam.WPFStyle.Style;component/StyleResources/TabControl.xaml"/>
        <ResourceDictionary
            Source="pack://application:,,,/OrslavTeam.WPFStyle.Style;component/StyleResources/RadioButton.xaml" />
        <ResourceDictionary Source="pack://application:,,,/OrslavTeam.WPFStyle.Style;component/Controls/ButtonWithCheck.xaml" />
        <ResourceDictionary Source="pack://application:,,,/OrslavTeam.WPFStyle.Style;component/Controls/DropDownToolbar.xaml" />
    </ResourceDictionary.MergedDictionaries>
    
    <Style TargetType="{x:Type TextBox}" BasedOn="{StaticResource TextBoxBased}" />
    <Style TargetType="{x:Type TextBlock}" BasedOn="{StaticResource TextBlockBased}" />
    <Style TargetType="{x:Type ToggleButton}" BasedOn="{StaticResource ToggleButtonBase}"/>
    <Style TargetType="{x:Type Button}" BasedOn="{StaticResource ButtonBased}"/>
    <Style TargetType="{x:Type GroupBox}" BasedOn="{StaticResource GroupBoxBase}"/>
    <Style TargetType="{x:Type ComboBox}" BasedOn="{StaticResource ComboBoxBase}" />
    <Style TargetType="{x:Type TabControl}" BasedOn="{StaticResource TabControlBase}" />
    <Style TargetType="{x:Type RadioButton}" BasedOn="{StaticResource RadioButtonBase}" />
    <Style TargetType="{x:Type controls:ButtonWithCheck}" BasedOn="{StaticResource ButtonWithCheckBase}" />
    <Style TargetType="{x:Type controls:DropDownToolbar}" BasedOn="{StaticResource DropDownToolbarBase}" />
    
    <Style x:Key="BtnControl" TargetType="{x:Type Border}">
        <Setter Property="Width" Value="30" />
        <Setter Property="Height" Value="30" />
        <Setter Property="BorderThickness" Value="0,0,0,2" />
        <Setter Property="BorderBrush" Value="{x:Null}" />
        <Setter Property="Background" Value="Transparent" />
        <Setter Property="Margin" Value="2,0,2,0" />
        <Setter Property="Padding" Value="2" />
        <Setter Property="Cursor" Value="Hand" />
        <Setter Property="HorizontalAlignment" Value="Center"/>
        <Setter Property="VerticalAlignment" Value="Center"/>
        <Setter Property="WindowChrome.IsHitTestVisibleInChrome" Value="True" />

        <Style.Triggers>
            <Trigger Property="IsMouseOver" Value="True">
                <Setter Property="BorderBrush" Value="{StaticResource SecondaryLightBrash}" />
            </Trigger>
        </Style.Triggers>
    </Style>
    
    <Style x:Key="GeneralWindow" TargetType="{x:Type Window}">
        <!--WindowChrome-->
        <Setter Property="WindowChrome.WindowChrome">
            <Setter.Value>
                <WindowChrome CaptionHeight="30"
                              CornerRadius="4"
                              GlassFrameThickness="0"
                              NonClientFrameEdges="None"
                              ResizeBorderThickness="5"
                              UseAeroCaptionButtons="False" />
            </Setter.Value>
        </Setter>

        <!--WindowStyle-->
        <Setter Property="MaxHeight" Value="{StaticResource {x:Static SystemParameters.MaximizedPrimaryScreenHeightKey}}"/>
        <Setter Property="MaxWidth" Value="{StaticResource {x:Static SystemParameters.MaximizedPrimaryScreenWidthKey}}"/>
        <Setter Property="WindowStyle" Value="None" />
        <Setter Property="BorderBrush" Value="{DynamicResource PrimaryLightBrash}" />
        <Setter Property="Background" Value="White" />
        <Setter Property="ScrollViewer.HorizontalScrollBarVisibility" Value="Auto" />
        <Setter Property="ScrollViewer.VerticalScrollBarVisibility" Value="Auto" />
        <Setter Property="TextElement.FontFamily" Value="Consolas" />
        <Setter Property="TextElement.FontWeight" Value="Medium" />
        <Setter Property="TextElement.FontSize" Value="14" />
        <Setter Property="FontSize" Value="14" />
        <Setter Property="FontWeight" Value="Normal" />
        <Setter Property="Topmost" Value="True" />

        <!--ControlTemplate-->
        <Setter Property="Template">
            <Setter.Value>
                <ControlTemplate TargetType="{x:Type Window}">
                    <Border BorderBrush="{TemplateBinding BorderBrush}" BorderThickness="5,0,5,5">
                        <Grid>
                            <Grid.RowDefinitions>
                                <RowDefinition MinHeight="30" Height="Auto" />
                                <RowDefinition Height="1*" />
                            </Grid.RowDefinitions>
                            <DockPanel Grid.Row="0" Background="{TemplateBinding BorderBrush}" Margin="0">

                                <Border x:Name="btnClose"
                                        DockPanel.Dock="Right"
                                        Style="{StaticResource BtnControl}"
                                        MouseLeftButtonUp="CloseClick">
                                    <Path Fill="Red"
                                          Data="M19,3H16.3H7.7H5A2,2 0 0,0 3,5V7.7V16.4V19A2,2 0 0,0 5,
                                          21H7.7H16.4H19A2,2 0 0,0 21,19V16.3V7.7V5A2,2 0 0,0 19,3M15.6,17L12,
                                          13.4L8.4,17L7,15.6L10.6,12L7,8.4L8.4,7L12,10.6L15.6,7L17,8.4L13.4,12L17,
                                          15.6L15.6,17Z" />
                                </Border>

                                <Border x:Name="btnRestore" DockPanel.Dock="Right" Style="{StaticResource BtnControl}"
                                        MouseLeftButtonUp="MaximizeRestoreClick">
                                    <Path Fill="{StaticResource SecondaryDarkBrash}"
                                          Data="M4,4H20V20H4V4M6,8V18H18V8H6Z" />
                                </Border>

                                <Border x:Name="btnMinimize" DockPanel.Dock="Right" Style="{StaticResource BtnControl}"
                                        MouseLeftButtonUp="MinimizeClick">
                                    <Path Fill="{StaticResource SecondaryDarkBrash}" Data="M20,14H4V10H20" />
                                </Border>

                                <Label DockPanel.Dock="Right"
                                       Content="{TemplateBinding Title}"
                                       Foreground="{StaticResource SecondaryLightBrash}"
                                       HorizontalContentAlignment="Center"
                                       VerticalContentAlignment="Center"
                                       FontFamily="Segoe UI Black"
                                       FontStyle="Italic"
                                       FontSize="20" />
                            </DockPanel>
                            <Border Background="{TemplateBinding Background}" Grid.Row="1">
                                <AdornerDecorator>
                                    <ContentPresenter />
                                </AdornerDecorator>
                            </Border>
                        </Grid>
                    </Border>
                </ControlTemplate>
            </Setter.Value>
        </Setter>
    </Style>
</ResourceDictionary>